Usuários
Listar usuários
Lista os usuários da loja e o perfil de cada um.
GET
/manager/users/getAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://api.smarttef.mobi/manager/users/get"[
{
"user_id": 24,
"email": "gerente@exemplo.com.br",
"active": true,
"user_type": "GER",
"create_at": "2026-01-12T10:00:00.000Z",
"update_at": "2026-02-01T08:30:00.000Z",
"name": "Maria Gerente",
"pos_password": ""
},
{
"user_id": 25,
"email": "99999999999999-019c964f-operador@email.com",
"active": true,
"user_type": "OPER",
"create_at": "2026-01-12T10:00:00.000Z",
"update_at": null,
"name": "operador",
"pos_password": "48219"
}
]{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/users/get"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/users/get"
}
}